edu.wpi.first.wpilibj.util

## Class BaseSystemNotInitializedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - edu.wpi.first.wpilibj.util.BaseSystemNotInitializedException

- All Implemented Interfaces:
    java.io.Serializable

      public class BaseSystemNotInitializedException
      extends java.lang.RuntimeException

  Thrown if there is an error caused by a basic system or setting not being properly initialized before being used.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseSystemNotInitializedException(java.lang.Class<?> offender, java.lang.Class<?> affected)` Create a new BaseSystemNotInitializedException using the offending class that was not set and the class that was affected.
    `BaseSystemNotInitializedException(java.lang.String message)` Create a new BaseSystemNotInitializedException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseSystemNotInitializedException

          public BaseSystemNotInitializedException(java.lang.String message)

      Create a new BaseSystemNotInitializedException.
      Parameters:
        `message` - the message to attach to the exception

    - #### BaseSystemNotInitializedException

          public BaseSystemNotInitializedException(java.lang.Class<?> offender,
                                                   java.lang.Class<?> affected)

      Create a new BaseSystemNotInitializedException using the offending class that was not set and the class that was affected.
      Parameters:
        `offender` - The class or interface that was not properly initialized.
        `affected` - The class that was was affected by this missing initialization.